Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class FilteredNodeChildren

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChildren
                  groovy.util.slurpersupport.FilteredNodeChildren

    public class FilteredNodeChildren
    extends NodeChildren

Lazy evaluated representation of child nodes filtered by a Closure.

Authors:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`FilteredNodeChildren(GPathResult parent, Closure closure, Map namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

Method Summary
`Iterator` | `iterator()`
`Iterator` | `nodeIterator()`

Methods inherited from class NodeChildren
appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### FilteredNodeChildren

    public FilteredNodeChildren(GPathResult parent, Closure closure, Map namespaceTagHints)

  Parameters:
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `closure` - the Closure to use to filter the nodes
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### iterator

    public Iterator iterator()

### nodeIterator

    public Iterator nodeIterator()

Copyright © 2003-2010 The Codehaus. All rights reserved.